Subject: Re: [OOPS] bcm43xx oops on 2.6.20-rc1 on x86_64

From: Larry Finger <[email-masked]>
Date: Sat, 30 Dec 2006 16:45:21 -0600

Adrian Bunk wrote:
> On Sat, Dec 30, 2006 at 03:23:42PM -0600, Larry Finger wrote:
>> Adrian Bunk wrote:
>>> On Sun, Dec 17, 2006 at 03:15:28PM -0500, Aaron Sethman wrote:
>>>> Just was loading the bcm43xx module and got the following oops. Note that 
>>>> this card is one of the newer PCI-E cards.  If any other info is needed 
>>>> let me know.
>>> Is this issue still present in 2.6.10-rc2-git1?
>>>
>>> If yes, was 2.6.19 working fine?
>> ...
>>
>> Any oops involving wireless extensions is due to 2.6.20-rc1 and -rc2 not having the fix for softmac
>> that is necessitated by the 2.6.20 changes in the work structure.
> 
> "Any oops" are very strong words.

Yes - but I have seen at least 7 or 8 different occurrences of that bug since the patch was first
made available on Dec. 10, and I have seen no bcm43xx oopses from any other cause.

> It wouldn't be the first time that we have several similar bug reports, 
> and it turns out that one is for a completely different issue...
> 
> That's why I asked for testing with 2.6.20-rc2-git1 that includes the 
> two ieee80211softmac patches.

I have been chasing a sound-card issue today and missed that -git1 was out. That version fixes the
two outstanding 2.6.20 softmac issues.

Larry